[LXQt + xfwm4] Fcitx candidate window is black (nightly 2018-01-17-10-01-29 regression)

RESOLVED FIXED in Firefox 59

Status

()

defect
P2
normal
RESOLVED FIXED
Last year
Last year

People

(Reporter: yan12125, Assigned: stransky)

Tracking

(Blocks 1 bug)

60 Branch
mozilla60
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox58 unaffected, firefox59 fixed, firefox60 fixed)

Details

Attachments

(3 attachments)

With recent Nightly, fcitx-chewing candidate window becomes black.

Steps to reproduce:
1. Install both fcitx and fcitx-chewing
2. Pick a text box
3. Hit 5j/
   (Corresponds to ㄓㄨㄥ in Chinese)

Result:
The candidate window has a black background, making it hard to read (see screenshot below)

I've tested multiple Nightly versions, and looks like it's a regression:

2018-01-13-10-02-55 good
2018-01-15-10-00-56 good
2018-01-16-10-01-14 good
2018-01-16-22-01-10 good
2018-01-17-10-01-29 bad
2018-01-17-22-03-27 bad
Screenshot for versions <= 2018-01-16-22-01-10: the candidate window has normal background color
Hello Martin Stránský,

After testing with many changesets on mozilla-central, I find my issue related to one of your previous changes. Could you have a look?

bad     d88cb52f392d 2018-01-15 09:08 -0800 	Ralph Giles - Bug 1430188: av1: Mark AOM_QM matricies const. r=kinetik.
bad     8dee5d879ef1 2018-01-12 08:41 +0100 	Martin Stransky - Bug 1420818 - For rendering to titlebar make CSD window decorations mode default, enable WM decorations on Elementary OS, r=jhorak
good    fe6f236e1fb5 2018-01-16 14:28 -0500 	Kartikaya Gupta - Bug 1430797 - Allow webrender on eWindowType_child, so that it is used on OS X. r=nical
good    195e88aab631 2018-01-09 16:48 +0100 	Julien Wajsberg - Bug 1429094 - Define the environment variable HGRCPATH to ignore any .hgrc that may exist r=gps

I've done more tests on 8dee5d879ef1:

* MOZ_GTK_TITLEBAR_DECORATION=none ./mach run => good (blue background + white characters like my second screenshot)
* MOZ_GTK_TITLEBAR_DECORATION=client ./mach run => broken (black background + black characters like my first screenshot)
* MOZ_GTK_TITLEBAR_DECORATION=system ./mach run => good

Looking at 8dee5d879ef1, I think it's not so correct. The default value of sCSDSupportLevel shouldn't be touched. In other words, it should remain CSD_SUPPORT_NONE.

My environment: LXQt ($XDG_CURRENT_DESKTOP=LXQt) + xfwm4
Flags: needinfo?(stransky)
I'll look at it. My guess is that you don't have compositing WM.
Assignee: nobody → stransky
Status: UNCONFIRMED → NEW
Ever confirmed: true
Flags: needinfo?(stransky)
Summary: Fcitx candidate window is black (nightly 2018-01-17-10-01-29 regression) → [LXQt + xfwm4] Fcitx candidate window is black (nightly 2018-01-17-10-01-29 regression)
We should fix that also for Firefox 59 as it's affected by this.
Assignee

Updated

Last year
Priority: -- → P2
> My guess is that you don't have compositing WM.

Thanks for the hint. Indeed compositing was not enabled. After enabling it (xfwm4-tweaks-settings -> Compositor -> Enable display compositing) and re-login, nothing has changed. fcitx-chewing candidate window is still broken if MOZ_GTK_TITLEBAR_DECORATION is `client` or unspecified.
Comment hidden (mozreview-request)
Assignee

Updated

Last year
Blocks: gtktitlebar

Comment 7

Last year
mozreview-review
Comment on attachment 8945441 [details]
Bug 1432385 - Use window manager borders on LXQt,

https://reviewboard.mozilla.org/r/215618/#review221950
Attachment #8945441 - Flags: review?(jhorak) → review+
Assignee

Updated

Last year
Blocks: 1433869

Comment 8

Last year
Pushed by stransky@redhat.com:
https://hg.mozilla.org/integration/autoland/rev/c6b717a7f871
Use window manager borders on LXQt, r=jhorak

Comment 9

Last year
bugherder
https://hg.mozilla.org/mozilla-central/rev/c6b717a7f871
Status: NEW → RESOLVED
Closed: Last year
Resolution: --- → FIXED
Target Milestone: --- → mozilla60
Per comment 4, please request uplift to beta when you get a chance.
Flags: needinfo?(stransky)
Comment on attachment 8945441 [details]
Bug 1432385 - Use window manager borders on LXQt,

Approval Request Comment
[Feature/Bug causing the regression]: none
[User impact if declined]: LXQt won't have working CSD/titlebar rendering.
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: no
[List of other uplifts needed for the feature/fix]: no
[Is the change risky?]: no
[Why is the change risky/not risky?]: The fixed feature is off by default.
[String changes made/needed]: none
Flags: needinfo?(stransky)
Attachment #8945441 - Flags: approval-mozilla-beta?
Comment on attachment 8945441 [details]
Bug 1432385 - Use window manager borders on LXQt,

Recent regression in 59, seems safe, Beta59+
Attachment #8945441 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
You need to log in before you can comment on or make changes to this bug.